<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCCalculator" description="Компонент калькулятор."
	fileName="NPCCalculator.jar" className="org.mati.npc.components.calculator.NPCCalculator"
	version="8872" time="17.02.2009 01:05:07">

	<!--INLINKS BEGIN-->
	<INLink name="InCalculate"
		description="Связь, служащая для передачи команды на вычисление результата."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InArgument"
		description="Связь, служащая для слежения за изменением аргумента(ов)."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutGetArgument"
		description="Связь, служащая для получения значения аргумента для вычислений."
		interfaceName="org.mati.npc.components.interfaces.CalculatorArgument"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutSetResult"
		description="Связь, служащая для передачи результата вычислений."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutSetStringResult"
		description="Связь, служащая для передачи результата вычислений."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutIsErrorOccured"
		description="Связь, служащая для сообщения о успешности произведенных вычислений. TRUE - вычисления произведены успешно, FALSE - во время вычислений произошла ошибка."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="CalculateScript"
		description="Скрипт для вычислений." type="java.lang.String"
		nullable="false">
	</Attribute>
	<Attribute name="StringResultFormat"
		description="Формат строки для записи результата."
		defaultValue="%f"
		type="java.lang.String" nullable="false">
	</Attribute>
	<Attribute name="PerformActionEnabled"
		description="TRUE - вычисление результата происходит после каждого изменения аргумента, FALSE - вычисление происходит по событию InCalculate."
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
